from thrift.transport.TSocket import TServerSocket
from thrift.transport.TTransport import TBufferedTransportFactory
from thrift.protocol.TBinaryProtocol import TBinaryProtocolFactory
from thrift.server.TServer import TThreadedServer
from simple_example import SpiffyGeoIPService
from simple_example.ttypes import SpiffyGeoIPLocation

class SpiffyGeoIPHandler:
     def by_ip_addr(self, ip_addr):
         result = SpiffyGeoIPLocation(dict(country_code='us',
             latitude=41.90, longitude=87.65,
             possible_cities=['Chicago, IL', 'Rosemont, IL']))

processor = SpiffyGeoIPService.Processor(SpiffyGeoIPHandler())
transport = TServerSocket(3773)
tfactory = TBufferedTransportFactory()
pfactory = TBinaryProtocolFactory()
server = TThreadedServer(processor, transport, tfactory, pfactory)

server.serve()

if __name__ == '__main__':
    import sys
    sys.path.insert(0, 'gen-py')
    sys.path.insert(0, 'thrift-trunk/lib/py/build/lib.macosx-10.4-i386-2.5')

