/*
  What is Thrift? http://developer.facebook.com/thrift/

    * Lightweight RPC
    * Cross language
    * Easy to use

  Makes building distributed systems easier

    * Do computation where it makes the most sense
    * Each part of the system in most appropriate language
    * Thrift feels Pythonic in Python and C++ish in C++, etc
    * "Tunnel" services from one language to another
*/

struct SpiffyGeoIPLocation {
   1: string country_code,
   2: double latitude,
   3: double longitude,
   4: list<string> possible_cities
}

service SpiffyGeoIPService {
   SpiffyGeoIPLocation by_ip_addr(string ip_addr);
}
